Bug 13984 - CTDB NFS call-out fails to test for existence of tcp_tw_recycle
CTDB NFS call-out fails to test for existence of tcp_tw_recycle
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-03 14:37 UTC by Martin Schwenke
Modified: 2019-06-26 07:24 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 and 4.10 (1.42 KB, patch)
2019-06-06 12:38 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-06-03 14:37:04 UTC
The test for presence of tcp_tw_recycle is broken and always succeeds.  This didn't matter as long as the file was always present.  However, it is apparently gone since Linux 4.12.
Comment 1 Martin Schwenke 2019-06-06 12:38:32 UTC
Created attachment 15224 [details]
Patch for 4.9 and 4.10
Comment 2 Amitay Isaacs 2019-06-06 13:18:21 UTC
Hi Karolin,

This is ready for v4-9 and v4-10.

Thanks.
Comment 3 Karolin Seeger 2019-06-20 10:26:35 UTC
(In reply to Amitay Isaacs from comment #2)
Pushed to autobuild-v4-{10,9}-test.
Comment 4 Karolin Seeger 2019-06-26 07:24:36 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!